#include<bits/stdc++.h>
using namespace std;
const int maxN=200005;
int a[maxN];
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
    int n;
    cin>>n;
    int min=INT_MAX;
    int k;
    for(int i=1; i<=n; i++)
    {
        cin>>a[i];
        if(a[i]<min)
        {
            min=a[i];
            k=i;
        }
    }
    cout<<min<<endl;
    cout<<1<<endl;
    cout<<k<<endl;
    cout<<0<<endl;
    return 0;
}